Subject: Re: bettering open source involvement
From: Riccardo Bernardini <[email-masked]>
To: IETF discussion list <[email-masked]>
Date: Thu, 28 Jul 2016 22:20:45 +0200
List-Id: IETF-Discussion <ietf.ietf.org>

A seemingly OT question (but it has its reasons): there is an URL (or
something) that I can give to someone as a "pointer" to this thread?

On Thu, Jul 28, 2016 at 10:04 PM, MH Michael Hammer (5304) <[email-masked]>
wrote:

> I think another issue is the speed at which IETF working groups move and
> the speed at which many open source projects move.
>
> Mike
>
> > -----Original Message-----
> > From: ietf [mailto:[email-masked]] On Behalf Of Melinda Shore
> > Sent: Thursday, July 28, 2016 3:53 PM
> > To: Suzanne Woolf
> > Cc: IETF discussion list
> > Subject: Re: bettering open source involvement
> >
> > On 7/28/16 10:26 AM, Suzanne Woolf wrote:
> > > As an aside, DNS is one of the areas where there's actually a pretty
> > > active give-and-take between standards and open source development--
> > > some of the leading implementations of the protocol are open source
> > > and have been for years, and there's been enormous benefit in an open
> > > "code to current spec; test multiple implementations; debug; revise
> > > code; revise spec" cycle for DNSSEC some years ago or some of the
> > > DPRIVE work more recently.
> >
> > Well, the PyCon thing took more the form of outreach to the
> > application/systems programming community, who were not aware of some
> > of the issues that the IETF has been working on for years.  Many of these
> > technical communities tend to be less familiar with network plumbing
> issues,
> > even those that have significant (if indirect) impact on them, or that
> could
> > help them solve problems they're facing in their applications.
> > That the IETF does not do APIs is pretty much a matter of both faith and
> > practice, but there are groups out there implementing IETF protocols and
> > providing the APIs that allow application  developers to use those
> protocols
> > and services.
> > That is part of the open source landscape, as well.
> >
> > Melinda
>
>